/* REXX Program used to set up an office machine as a SLIP server */

call RxFuncAdd "SysLoadFuncs", "RexxUtil", "SysLoadFuncs"
call SysLoadFuncs

/*'echo off'*/
'cls'


com_port   = "com3"   /* your modem com port (no colon, lowercase, within quotes)*/
interface  = "sl0"
if_ip      = 192.168.199.1
remote_ip  = 192.168.199.10
netmask    = 255.255.255.0
modem_init = "\rAT&F&O6S0=1S27=xC0"


/* these two lines came from a slip init script */
'ifconfig 'interface if_ip remote_ip 'netmask' netmask
route 'add host' remote_ip if_ip '1'

pause

slaparm  = '-connect "slattach -p' com_port' 'modem_init' OK"'
com_opt  = '-'com_port' -speed 57600 -rtscts';
ifparm   = '-mtu 1500'

'start /FS "SLIP-Server" slip 'slaparm com_opt ifparm
slipwait
'ifconfig sl0'
'netstat -r'
